Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog.service.query
Class CatalogQueryImpl

    java.lang.Object
      com.beasys.commerce.ebusiness.catalog.service.query.CatalogQueryImpl

All Implemented Interfaces
  CatalogQuery, Serializable

Direct Known Subclasses:
  KeywordQueryImpl, ProductItemQueryImpl

Deprecated

    @Deprecated
    public abstract class CatalogQueryImpl

extends Object
implements CatalogQuery

Implementation class for the `CatalogQuery` interface.

See Also
  Serialized Form

Field Summary

Fields inherited from interface com.beasys.commerce.ebusiness.catalog.service.query.CatalogQuery
`ALL_RESULTS`

Constructor Summary
`CatalogQueryImpl()` Deprecated Default constructor.

Method Summary
`int` | `getMaxSearchResults()` Deprecated Returns the maximum number of search results.
`void` | `setMaxSearchResults(int maxSearchResults)` Deprecated Set the maximum search results size

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CatalogQueryImpl

    public CatalogQueryImpl()

  Deprecated
  Default constructor. Loads the maximum search result size from the catalog properties file.

Method Detail

### getMaxSearchResults

    public int getMaxSearchResults()

  Deprecated
  Description copied from interface: `CatalogQuery`
  Returns the maximum number of search results.

  Specified by:
    `getMaxSearchResults` in interface `CatalogQuery`
  Returns
    maximum number of search results

### setMaxSearchResults

    public void setMaxSearchResults(int maxSearchResults)
                             throws IllegalArgumentException

  Deprecated
  Description copied from interface: `CatalogQuery`
  Set the maximum search results size

  Specified by:
    `setMaxSearchResults` in interface `CatalogQuery`
  Throws
    `IllegalArgumentException` - on invalid search result size

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.